/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

CoordinateSystem.prototype=new Object();
CoordinateSystem.prototype._xAxis;
CoordinateSystem.prototype._yAxis;
CoordinateSystem.prototype._xCrossing=new AnchoredCrossing(0);
CoordinateSystem.prototype._yCrossing=Axis.MIN_VALUE;
function CoordinateSystem(_1,_2){
this._xAxis=_1;
this._yAxis=_2;
}
CoordinateSystem.prototype.getXAxis=function(){
return this._xAxis;
};
CoordinateSystem.prototype.setXAxis=function(_3){
this._xAxis=_3;
};
CoordinateSystem.prototype.getYAxis=function(){
return this._yAxis;
};
CoordinateSystem.prototype.setYAxis=function(_4){
this._yAxis=_4;
};
CoordinateSystem.prototype.getVisibleWindow=function(){
return new IlvDataWindow(this._xAxis.getVisibleRange().getMin(),this._xAxis.getVisibleRange().getMax(),this._yAxis.getVisibleRange().getMin(),this._yAxis.getVisibleRange().getMax());
};
CoordinateSystem.prototype.getXCrossing=function(){
return this._xCrossing;
};
CoordinateSystem.prototype.setXCrossing=function(_5){
this._xCrossing=_5;
};
CoordinateSystem.prototype.setXCrossingValue=function(_6){
this._xCrossing=new AnchoredCrossing(_6);
};
CoordinateSystem.prototype.getXCrossingValue=function(){
return this._xCrossing.getValue(this._yAxis);
};
CoordinateSystem.prototype.getYCrossing=function(){
return this._yCrossing;
};
CoordinateSystem.prototype.setYCrossing=function(_7){
this._yCrossing=_7;
};
CoordinateSystem.prototype.setYCrossingValue=function(_8){
this._yCrossing=new AnchoredCrossing(_8);
};
CoordinateSystem.prototype.getYCrossingValue=function(){
return this._yCrossing.getValue(this._xAxis);
};
