/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

IlvDataWindow.prototype.xRange;
IlvDataWindow.prototype.yRange;
function IlvDataWindow(_1,_2,_3,_4){
this.xRange=new IlvDataInterval(_1,_2);
this.yRange=new IlvDataInterval(_3,_4);
}
IlvDataWindow.prototype.addValues=function(x,y){
this.xRange.addValue(x);
this.yRange.addValue(y);
};
IlvDataWindow.prototype.addDataWindow=function(w){
this.xRange.addInterval(w.xRange);
this.yRange.addInterval(w.yRange);
};
IlvDataWindow.prototype.intersects=function(w){
return this.xRange.intersects(w.xRange)&&this.yRange.intersects(w.yRange);
};
IlvDataWindow.prototype.intersection=function(_9,_a){
this.xRange.intersection(_9);
this.yRange.intersection(_a);
};
IlvDataWindow.prototype.contains=function(x,y){
return this.xRange.isInside(x)&&this.yRange.isInside(y);
};
IlvDataWindow.prototype.isEmpty=function(){
return this.xRange.isEmpty()||this.yRange.isEmpty();
};
IlvDataWindow.prototype.getXMin=function(){
return this.xRange.getMin();
};
IlvDataWindow.prototype.getXMax=function(){
return this.xRange.getMax();
};
IlvDataWindow.prototype.getYMin=function(){
return this.yRange.getMin();
};
IlvDataWindow.prototype.getYMax=function(){
return this.yRange.getMax();
};
IlvDataWindow.prototype.equals=function(_d){
if(this==_d){
return true;
}
if(!(_d instanceof IlvDataWindow)){
return false;
}
var dw=IlvDataWindow(_d);
return this.xRange.equals(dw.xRange)&&this.yRange.equals(dw.yRange);
};
IlvDataWindow.prototype.toString=function(){
return "xRange ["+this.xRange.getMin()+","+this.xRange.getMax()+"]   yRange  ["+this.yRange.getMin()+","+this.yRange.getMax()+"]";
};
