/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

AxisRangeEvent.prototype=new AxisEvent();
AxisRangeEvent.prototype._storedRange;
AxisRangeEvent.prototype._aboutToChangeEvent;
AxisRangeEvent.prototype._visibleRangeEvent;
AxisRangeEvent.prototype.type="axisRangeChanged";
function AxisRangeEvent(_1,_2,_3,_4,_5){
AxisEvent.call(this,_1,_4);
this._storedRange=_2;
this._aboutToChangeEvent=_3;
this._visibleRangeEvent=_5;
}
AxisRangeEvent.prototype.getOldMin=function(){
if(this.isAboutToChangeEvent()){
return this.isVisibleRangeEvent()?this.getAxis().getVisibleMin():this.getAxis().getDataMin();
}else{
return this._storedRange.getMin();
}
};
AxisRangeEvent.prototype.getOldMax=function(){
if(this.isAboutToChangeEvent()){
return this.isVisibleRangeEvent()?this.getAxis().getVisibleMax():this.getAxis().getDataMax();
}else{
return this._storedRange.getMax();
}
};
AxisRangeEvent.prototype.setNewMin=function(_6){
if(this.isAboutToChangeEvent()){
this._storedRange.setMin(_6);
}
};
AxisRangeEvent.prototype.getNewMin=function(){
if(this.isChangedEvent()){
return this.isVisibleRangeEvent()?this.getAxis().getVisibleMin():this.getAxis().getDataMin();
}else{
return _storedRange.getMin();
}
};
AxisRangeEvent.prototype.setNewMax=function(_7){
if(this.isAboutToChangeEvent()){
this._storedRange.setMax(_7);
}
};
AxisRangeEvent.prototype.getNewMax=function(){
if(this.isChangedEvent()){
return this.isVisibleRangeEvent()?this.getAxis().getVisibleMax():this.getAxis().getDataMax();
}else{
return this._storedRange.getMax();
}
};
AxisRangeEvent.prototype.isVisibleRangeEvent=function(){
return this._visibleRangeEvent;
};
AxisRangeEvent.prototype.isAboutToChangeEvent=function(){
return this._aboutToChangeEvent;
};
AxisRangeEvent.prototype.isChangedEvent=function(){
return !this._aboutToChangeEvent;
};
AxisRangeEvent.prototype.isScrollEvent=function(){
return ((this.getOldMin()<this.getNewMin()&&this.getOldMax()<this.getNewMax())||(this.getOldMin()>this.getNewMin()&&this.getOldMax()>this.getNewMax()))&&(this.getOldMin()-this.getNewMin()==this.getOldMax()-this.getNewMax());
};
