/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

DataSetContentsEvent.BEFORE_DATA_CHANGED=1;
DataSetContentsEvent.AFTER_DATA_CHANGED=2;
DataSetContentsEvent.DATA_CHANGED=3;
DataSetContentsEvent.DATA_ADDED=4;
DataSetContentsEvent.DATA_LABEL_CHANGED=5;
DataSetContentsEvent.FULL_UPDATE=6;
DataSetContentsEvent.prototype._firstIdx;
DataSetContentsEvent.prototype._lastIdx;
DataSetContentsEvent.prototype._type;
DataSetContentsEvent.prototype.target;
DataSetContentsEvent.prototype.type="contentsChanged";
function DataSetContentsEvent(_1,_2,_3){
this._type=_1?_1:DataSetContentsEvent.FULL_UPDATE;
this._firstIdx=(_2!=undefined)?_2:0;
this._lastIdx=(_3!=undefined)?_2:0;
}
DataSetContentsEvent.prototype.getFirstIdx=function(){
return this._firstIdx;
};
DataSetContentsEvent.prototype.getLastIdx=function(){
return (this._type==DataSetContentsEvent.FULL_UPDATE&&this.getDataSet()!=null)?this.getDataSet().getDataCount()-1:this._lastIdx;
};
DataSetContentsEvent.prototype.getType=function(){
return this._type;
};
DataSetContentsEvent.prototype.getDataSet=function(){
return this.target;
};
