/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

ChartPickInteractor.prototype=new ChartDataInteractor();
ChartPickInteractor.prototype._pickedPoint;
function ChartPickInteractor(_1,_2){
if(_1==undefined){
_1=0;
}
ChartDataInteractor.call(this,_1,0,_2);
this.setPickingMode(ChartDataInteractor.ITEM_PICKING);
}
ChartPickInteractor.prototype.enableEvents=function(_3){
_3["mousedown"]=true;
_3["mouseup"]=true;
_3["keypress"]=true;
};
ChartPickInteractor.prototype.handleEvent=function(_4){
switch(_4.type){
case "mousedown":
if(_4.button==this.getButton()){
this._pickedPoint=this.pickData(_4);
if(this._pickedPoint!=null){
this.startOperation(_4);
_4.stopPropagation();
return true;
}
}
return false;
case "mouseup":
if(this._pickedPoint!=null){
this.pick(this._pickedPoint);
this.endOperation(_4);
_4.stopPropagation();
return true;
}
return false;
case "keypress":
if(_4.charCode==27||_4.keyCode==27){
this.abort();
_4.stopPropagation();
return true;
}
return false;
}
return false;
};
ChartPickInteractor.prototype.pick=function(_5,_6){
if(this.style||this.marker){
var _7=new Object();
_7.style=this.style;
_7.getStyle=function(dp,_9){
return this.style?this.style:_9;
};
if(this.marker){
_7.marker=this.marker;
_7.getMarker=function(dp,_b){
return this.marker;
};
}
var _c=_5.getRenderer();
_c.setRenderingHint(_5,_7);
_c.getChart().pushInvalidatedRenderer(_c);
_c.getChart().invalidate(true);
}
if(this.action){
window.parent.pickedPoint=_5;
window.parent.evt=_6;
window.parent.eval(this.action);
window.parent.pickedPoint=undefined;
window.parent.evt=undefined;
}
};
ChartPickInteractor.prototype.abort=function(){
ChartDataInteractor.prototype.abort.call(this);
this._pickedPoint=null;
this.setCursor(null);
};
ChartPickInteractor.prototype.endOperation=function(_d){
ChartDataInteractor.prototype.endOperation.call(this,_d);
this._pickedPoint=null;
this.setCursor(null);
};
ChartPickInteractor.prototype.startOperation=function(_e){
ChartDataInteractor.prototype.startOperation.call(this,_e);
this.setCursor(this.getCursor());
};
ChartPickInteractor.prototype.getCursor=function(){
return "pointer";
};
