/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

DrawUtil={};
DrawUtil.drawLine=function(_1,x1,y1,x2,y2,_6){
if(!_6){
_6=_1.ownerDocument.createElementNS(SVG_NS,"line");
}
_6.setAttributeNS(null,"x1",x1);
_6.setAttributeNS(null,"y1",y1);
_6.setAttributeNS(null,"x2",x2);
_6.setAttributeNS(null,"y2",y2);
if(_6.parentNode!=_1){
_1.appendChild(_6);
}
return _6;
};
DrawUtil.drawRect=function(_7,x,y,_a,_b,_c){
if(!_c){
_c=DrawUtil.createRect(_7.ownerDocument);
}
_c.setAttributeNS(null,"x",x);
_c.setAttributeNS(null,"y",y);
_c.setAttributeNS(null,"width",_a);
_c.setAttributeNS(null,"height",_b);
if(_c.parentNode!=_7){
_7.appendChild(_c);
}
return _c;
};
DrawUtil.drawContainer=function(_d){
var _e=DrawUtil.createContainer(_d);
_d.appendChild(_e);
return _e;
};
DrawUtil.createShape=function(_f,_10){
var _11=_f.createElementNS(SVG_NS,"path");
_11.setAttributeNS(null,"d",_10);
return _11;
};
DrawUtil.createPath=function(_12,xp,yp,_15){
var _16=["M",xp[0],",",yp[0]];
for(var i=1;i<_15;i++){
_16.push("L",xp[i],",",yp[i]);
}
var _18=_12.createElementNS(SVG_NS,"path");
_18.setAttributeNS(null,"d",_16.join(""));
return _18;
};
DrawUtil.createContainer=function(_19){
return _19.createElementNS(SVG_NS,"g");
};
DrawUtil.createRect=function(_1a){
return _1a.createElementNS(SVG_NS,"rect");
};
