/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

GraphicUtil.COORD_EPSILON=new Number(0.000001);
GraphicUtil.tanPI8=Math.tan(Math.PI/8);
GraphicUtil.sinPI4=Math.sin(Math.PI/4);
function GraphicUtil(){
}
GraphicUtil.toInt=function(_1){
return (_1<0)?Math.floor(_1-GraphicUtil.COORD_EPSILON):Math.floor(_1+GraphicUtil.COORD_EPSILON);
};
GraphicUtil.computeTextLocation=function(_2,_3,_4,_5,_6){
var _7=5;
_3=MathUtil.mod360(_3);
if(Math.abs(_3)<_7||Math.abs(_3-360)<_7){
_2.x+=_5/2+_4;
}else{
if(Math.abs(_3-90)<_7){
_2.y-=_6/2+_4;
}else{
if(Math.abs(_3-180)<_7){
_2.x-=_5/2+_4;
}else{
if(Math.abs(_3-270)<_7){
_2.y+=_6/2+_4;
}else{
var ra=MathUtil.toRadians(_3);
var _9=Math.cos(ra);
var _a=Math.sin(ra);
if(_3<90){
_2.x+=_5/2+_9*_4;
_2.y-=(_6/2+_4)*_a;
}else{
if(_3<180){
_2.x-=_5/2-_9*_4;
_2.y-=(_6/2+_4)*_a;
}else{
if(_3<270){
_2.x-=_5/2-_9*_4;
_2.y-=(_6/2+_4)*_a;
}else{
_2.x+=_5/2+_9*_4;
_2.y-=(_6/2+_4)*_a;
}
}
}
}
}
}
}
return _2;
};
GraphicUtil.pointAngleDeg=function(x1,y1,x2,y2){
if(x1==x2){
return (y1<y2)?270:90;
}else{
if(y1==y2){
return (x1<x2)?0:180;
}else{
var _f=MathUtil.toDegrees(Math.atan2(y1-y2,x2-x1));
if(_f<0){
_f+=360;
}
return _f;
}
}
};
GraphicUtil.transform=function(_10,_11){
var pt1=document.documentElement.createSVGPoint();
pt1.x=_10.x;
pt1.y=_10.y;
var pt2=document.documentElement.createSVGPoint();
pt2.x=_10.x+_10.width;
pt2.y=_10.y;
var pt3=document.documentElement.createSVGPoint();
pt3.x=pt2.x;
pt3.y=_10.y+_10.height;
var pt4=document.documentElement.createSVGPoint();
pt4.x=_10.x;
pt4.y=pt3.y;
pt1=pt1.matrixTransform(_11);
pt2=pt2.matrixTransform(_11);
pt3=pt3.matrixTransform(_11);
pt4=pt4.matrixTransform(_11);
_10.x=pt1.x;
_10.y=pt1.y;
_10.width=0;
_10.height=0;
_10.add(pt2.x,pt2.y);
_10.add(pt3.x,pt3.y);
_10.add(pt4.x,pt4.y);
return _10;
};
GraphicUtil.addToRect=function(r1,r2){
if(r2.isEmpty()){
return r1;
}
if(r1.isEmpty()){
r1.x=r2.x;
r1.y=r2.y;
r1.width=r2.width;
r1.height=r2.height;
}else{
var x1=Math.min(r1.x,r2.x);
var x2=Math.max(r1.x+r1.width,r2.x+r2.width);
var y1=Math.min(r1.y,r2.y);
var y2=Math.max(r1.y+r1.height,r2.y+r2.height);
r1.x=x1;
r1.y=y1;
r1.width=x2-x1;
r1.height=y2-y1;
}
return r1;
};
