/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

DefaultDataSet.prototype=new IlvDataSet();
DefaultDataSet.prototype._sortedX=true;
DefaultDataSet.prototype.xValues;
DefaultDataSet.prototype.yValues;
DefaultDataSet.prototype.labels;
function DefaultDataSet(_1,_2,_3,_4){
IlvDataSet.call(this);
this.setName(_1);
this.xValues=_2;
this.yValues=_3;
this._sortedX=_4;
}
DefaultDataSet.prototype.isUsingXValues=function(){
return this.xValues!=null;
};
DefaultDataSet.prototype.useXValues=function(b){
if(b){
if(this.xValues==null){
var _6=this.getDataCount();
this.xValues=new Array(_6);
for(var i=0;i<_6;++i){
this.xValues[i]=i;
}
}
}else{
this.xValues=null;
}
};
DefaultDataSet.prototype.setData=function(_8,_9,_a){
if(_8==null){
this.xValues=null;
}else{
this.xValues=new Array();
this.xValues=this.xValues.concat(_8);
}
this.yValues=new Array();
this.yValues=this.yValues.concat(_9);
this.setLimitsValid(false);
this.dispatchEvent(new DataSetContentsEvent(DataSetContentsEvent.FULL_UPDATE,0,0));
};
DefaultDataSet.prototype.getDataCount=function(){
return this.yValues.length;
};
DefaultDataSet.prototype.getXData=function(_b){
return (this.xValues==null)?_b:this.xValues[_b];
};
DefaultDataSet.prototype.getYData=function(_c){
return this.yValues[_c];
};
DefaultDataSet.prototype.isEditable=function(){
return true;
};
DefaultDataSet.prototype.setDataAt=function(_d,x,y,_10){
var _11=(this.getXData(_d)!=x);
if(!_11&&this.getYData(_d)==y){
return;
}
this.dataChanged(_d,_d,DataSetContentsEvent.BEFORE_DATA_CHANGED);
this._setData(_d,x,y,_10);
this.dataChanged(_d,_d,DataSetContentsEvent.AFTER_DATA_CHANGED);
};
DefaultDataSet.prototype._setData=function(idx,x,y,_15){
if(this.xValues!=null){
this.xValues[idx]=x;
}
this.yValues[idx]=y;
if(this.labels!=null){
this.labels[idx]=_15;
}
};
DefaultDataSet.prototype.addData=function(x,y,_18){
if(this.xValues!=null){
this.xValues.push(x);
}
this.yValues.push(y);
if(this.labels!=null){
this.labels.push(_18);
}
this.dataAdded(this.getDataCount()-1);
};
DefaultDataSet.prototype.getDataLabel=function(idx){
var _1a=null;
if(this.labels!=null&&idx<this.labels.length){
_1a=this.labels[idx];
}
return _1a;
};
DefaultDataSet.prototype.fillValues=function(_1b,_1c,_1d){
var _1e=_1b.getXValues();
var _1f=_1b.getYValues();
var _20=_1d-_1c+1;
if(this.xValues==null){
for(var i=0;i<_20;++i){
_1e[i]=_1c+i;
}
}else{
for(var i=0;i<_20;i++){
_1e[i]=this.xValues[i+_1c];
}
}
for(var i=0;i<_20;i++){
_1f[i]=this.yValues[i+_1c];
}
_1b.setSize(_20);
};
DefaultDataSet.prototype.searchData=function(val){
if(this.xValues==null){
var x=Math.ceil(val);
if(x==val){
return x;
}else{
if(x<0){
return -1;
}else{
if(x>=this.getDataCount()){
return -this.getDataCount()-1;
}else{
return -x-1;
}
}
}
}else{
return IlvDataSet.prototype.searchData.call(this,val);
}
};
DefaultDataSet.prototype.isXValuesSorted=function(){
return this._sortedX;
};
DefaultDataSet.prototype.setXValuesSorted=function(_24){
this._sortedX=true;
};
DefaultDataSet.prototype.setDataLabels=function(_25){
this.setDataLabelsImpl(_25,true);
};
DefaultDataSet.prototype.setDataLabelsImpl=function(_26,_27){
if(_26==null){
this.labels=null;
}else{
if(_27){
var _28=new Array(_26.length);
for(var i=0;i<_26.length;i++){
_28[i]=_26[i];
}
_26=_28;
}
this.labels=_26;
}
this.dispatchEvent(new DataSetContentsEvent(DataSetContentsEvent.DATA_LABEL_CHANGED,0,this.getDataCount()-1));
};
DefaultDataSet.prototype.useLabels=function(b){
if(b){
if(this.labels==null){
this.labels=new Array(this.getDataCount());
}
}else{
this.labels=null;
}
};
