/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

DefaultDataSource.prototype=new IlvDataSource();
function DefaultDataSource(_1){
IlvDataSource.call(this);
if(_1){
this.setDataSets(_1);
}
}
DefaultDataSource.prototype.setDataSet=function(_2,_3){
var _4=this._dataSets.clone();
if(_3==null){
this._dataSets.splice(_2,1);
this.fireDataSourceDataSetRemovedEvent(_2,_2,_4);
}else{
this._dataSets[_2]=_3;
this.fireDataSourceDataSetAddedEvent(_2,_2,_4);
}
};
DefaultDataSource.prototype.addDataSet=function(_5){
var _6=this._dataSets.clone();
this._dataSets.push(_5);
if(!_5.getProperty(IlvDataSet.DATASOURCE_KEY)){
_5.putProperty(IlvDataSet.DATASOURCE_KEY,this);
}
this.fireDataSourceDataSetAddedEvent(_6.length,_6.length,_6);
};
DefaultDataSource.prototype.addDataSetAt=function(_7,_8){
var _9=this._dataSets.clone();
this._dataSets.addItemAt(_7,_8);
if(!_8.getProperty(IlvDataSet.DATASOURCE_KEY)){
_8.putProperty(IlvDataSet.DATASOURCE_KEY,this);
}
this.fireDataSourceDataSetAddedEvent(_7,_7,_9);
};
DefaultDataSource.prototype.setDataSets=function(_a){
var _b=this._dataSets.clone();
this.initDataSets(_a);
if(this._dataSets.length==0){
this.fireDataSourceDataSetRemovedEvent(0,_b.length-1,_b);
}else{
this.fireDataSourceDataSetAddedEvent(0,_a.length-1,_b);
}
};
DefaultDataSource.prototype.fireDataSourceDataSetAddedEvent=function(_c,_d,_e){
this.dispatchEvent(new DataSourceEvent(DataSourceEvent.DATASET_ADDED,_c,_d,_e));
};
DefaultDataSource.prototype.fireDataSourceDataSetRemovedEvent=function(_f,_10,_11){
this.dispatchEvent(new DataSourceEvent(DataSourceEvent.DATASET_REMOVED,_f,_10,_11));
};
DefaultDataSource.prototype.startBatch=function(){
this._batch=true;
this.startBatchImpl();
};
DefaultDataSource.prototype.startBatchImpl=function(){
for(var i=0;i<this._dataSets.length;i++){
if(this._dataSets[i]){
this._dataSets[i].startBatch();
}
}
};
DefaultDataSource.prototype.isBatched=function(){
return this._batch;
};
DefaultDataSource.prototype.addChart=function(_13,_14){
this._chart=_13;
};
DefaultDataSource.prototype.endBatch=function(){
for(var i=0;i<this._dataSets.length;i++){
if(this._dataSets[i]){
this._dataSets[i].endBatch();
}
}
this._batch=false;
if(this._chart){
this._chart.updateAndRedraw(true);
this._chart=null;
}
};
