/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

IlvDataSetPoint.prototype.dataSet;
IlvDataSetPoint.prototype.index;
function IlvDataSetPoint(_1,_2){
this.dataSet=_1;
this.index=_2;
}
IlvDataSetPoint.prototype.getXData=function(){
return this.dataSet.getXData(this.index);
};
IlvDataSetPoint.prototype.getYData=function(){
return this.dataSet.getYData(this.index);
};
IlvDataSetPoint.prototype.getData=function(){
return new DataPoints(this.dataSet,1,[this.getXData()],[this.getYData()],[this.index]);
};
IlvDataSetPoint.prototype.getDataSet=function(){
return this.dataSet;
};
IlvDataSetPoint.prototype.getIndex=function(){
return this.index;
};
IlvDataSetPoint.prototype.setData=function(x,y){
if(this.index!=-1){
this.dataSet.setDataAt(this.index,x,y);
}
};
IlvDataSetPoint.prototype.hashCode=function(){
return this.index;
};
IlvDataSetPoint.prototype.toString=function(){
return "Point#"+this.index+" ("+this.getXData()+","+this.getYData()+") in "+this.dataSet;
};
IlvDataSetPoint.prototype.clone=function(){
return new IlvDataSetPoint(this.dataSet,this.index);
};
