/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

HiLoDataSet.prototype=new VirtualDataSet();
function HiLoDataSet(lo,hi){
VirtualDataSet.call(this);
this.addDataSet(lo);
this.addDataSet(hi);
}
HiLoDataSet.prototype.getName=function(){
if(this.getDataSetCount()==2){
return this.getDataSet(0).getName()+" - "+this.getDataSet(1).getName();
}else{
return "";
}
};
HiLoDataSet.prototype.getUndefValue=function(){
var _3=null;
if(this.getDataSetCount()==2){
_3=this.getDataSet(0).getUndefValue();
if(_3==null){
_3=this.getDataSet(1).getUndefValue();
}
}
return _3;
};
HiLoDataSet.prototype.getYData=function(_4){
var _5=this.getDataSetCount();
if(_5<2){
return 0;
}
return this.getDataSet(_4%_5).getYData(Math.floor(_4/_5));
};
HiLoDataSet.prototype.getXData=function(_6){
var _7=this.getDataSetCount();
if(_7<2){
return 0;
}
return this.getDataSet(_6%_7).getXData(Math.floor(_6/_7));
};
HiLoDataSet.prototype.isXValuesSorted=function(){
return this.getDataSet(0)!=null?this.getDataSet(0).isXValuesSorted():false;
};
HiLoDataSet.prototype.isEditable=function(){
return true;
};
HiLoDataSet.prototype.map=function(p){
var _9=this.getDataSetIndex(p.dataSet);
p.index=p.index*this.getDataSetCount()+_9;
p.dataSet=this;
};
HiLoDataSet.prototype.unmap=function(p){
var _b=this.getDataSetCount();
p.dataSet=this.getDataSet(p.index%_b);
p.index=Math.floor(p.index/_b);
};
HiLoDataSet.prototype.dataSetContentsChanged=function(_c){
VirtualDataSet.prototype.dataSetContentsChanged.call(this,_c);
var _d=this.getDataSetCount();
var _e=new DataSetContentsEvent(_c.getType(),_c.getFirstIdx()*_d,_c.getLastIdx()*_d);
this.dispatchEvent(_e);
};
HiLoDataSet.prototype.computeDataCount=function(){
var _f=this.getDataSetCount();
return (_f>1)?VirtualDataSet.prototype.computeDataCount.call(this)*_f:0;
};
