/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

MarkerRenderer.prototype=new SingleScatterRenderer();
function MarkerRenderer(_1){
this.renderer=_1;
SingleScatterRenderer.call(this,null,Marker.NONE,null,true);
}
MarkerRenderer.prototype.getParent=function(){
return this.renderer;
};
MarkerRenderer.prototype.makeDefaultStyle=function(){
var _2=this.renderer.getStyle();
if(_2!=null){
if(Style.isFillOn(_2)){
return _2;
}else{
var _3=Style.create();
_3["fill"]=_2["stroke"];
_3["stroke"]="none";
return _3;
}
}
return SingleScatterRenderer.prototype.makeDefaultStyle.call(this);
};
MarkerRenderer.prototype.getStyle=function(){
var _4=SingleScatterRenderer.prototype.getStyle.call(this);
return (_4==null)?this.makeDefaultStyle():_4;
};
MarkerRenderer.prototype.createItem=function(){
var _5=new ScatterItem(this);
_5.dataSet=this.renderer.getDrawingDataSet();
_5.itv=this.renderer.getChart().getXAxis().getVisibleRange();
_5.draw=function(g,_7){
if(!this.itv.isInside(this.dataSet.getXData(this.dataIdx))){
return;
}
return ScatterItem.prototype.draw.call(this,g,_7);
};
return _5;
};
MarkerRenderer.prototype.holdsRenderingHint=function(){
return this.renderer.holdsRenderingHint();
};
MarkerRenderer.prototype.getRenderingHint=function(dp){
return this.renderer.getRenderingHint(dp);
};
MarkerRenderer.prototype.getDrawingDataSet=function(){
return this.renderer.getDrawingDataSet();
};
