/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

PieChartRenderer.prototype=new SimpleCompositeChartRenderer();
PieChartRenderer.prototype._holeSize=0;
function PieChartRenderer(){
SimpleCompositeChartRenderer.call(this,true);
}
PieChartRenderer.prototype.getPie=function(_1){
return this.getChildForDS(_1);
};
PieChartRenderer.prototype.setHoleSize=function(_2){
if(_2!=this._holeSize){
this._holeSize=_2;
this.updatePieLayout();
}
};
PieChartRenderer.prototype.getHoleSize=function(){
return this._holeSize;
};
PieChartRenderer.prototype.updateChildren=function(){
SimpleCompositeChartRenderer.prototype.updateChildren.call(this);
this.updatePieLayout();
};
PieChartRenderer.prototype.updatePieLayout=function(){
var _3=new IlvDataInterval(SinglePieRenderer.DEFAULT_YMIN,SinglePieRenderer.DEFAULT_YMAX);
_3.setMin(_3.getMin()+_3.getLength()*this._holeSize/100);
var _4=0;
var _5=this.getChildCount();
for(var i=0;i<_5;++i){
if(this.getChild(i).isVisible()){
++_4;
}
}
if(_4>1){
_3.setMax(_3.getMin()+_3.getLength()/_4);
}
for(var i=0;i<_5;++i){
if(this.getChild(i).isVisible()){
this.getChild(i).setYRange(_3);
_3.translate(_3.getLength());
}
}
};
PieChartRenderer.prototype.createChild=function(_7){
return new SinglePieRenderer();
};
PieChartRenderer.prototype.getYRange=function(_8){
_8=SimpleCompositeChartRenderer.prototype.getYRange.call(this,_8);
_8.setMin(SinglePieRenderer.DEFAULT_YMIN);
return _8;
};
PieChartRenderer.prototype.applyStyles=function(_9){
if(!window.getDataSetProperties){
return;
}
for(var i=0;i<_9.length;i++){
if(this.isDisplayingDataSet(_9[i])){
var _b=getDataSetProperties(_9[i],new Object());
if(_b["holeSize"]!=undefined){
this.setHoleSize(_b["holeSize"]);
}
}
}
};
