/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

SingleBubbleRenderer.prototype=new SingleScatterRenderer();
SingleBubbleRenderer.DEFAULT_MAX_SIZE=30;
SingleBubbleRenderer.DEFAULT_MIN_SIZE=10;
SingleBubbleRenderer.prototype._sizeDataRange;
SingleBubbleRenderer.prototype._minSize;
function SingleBubbleRenderer(_1,_2,_3,_4){
this._sizeDataRange=new IlvDataInterval();
if(_3==undefined){
_3=SingleBubbleRenderer.DEFAULT_MAX_SIZE;
}
if(_2!=undefined){
this._minSize=_2;
}else{
this._minSize=SingleBubbleRenderer.DEFAULT_MIN_SIZE;
}
this.clipping=true;
SingleScatterRenderer.call(this,_4,_1,_3,true);
}
SingleBubbleRenderer.prototype.getMinSize=function(){
return this._minSize;
};
SingleBubbleRenderer.prototype.setMinSize=function(_5){
this._minSize=_5;
};
SingleBubbleRenderer.prototype.getMaxSize=function(){
return this._size;
};
SingleBubbleRenderer.prototype.setMaxSize=function(_6){
this._size=_6;
};
SingleBubbleRenderer.prototype.getSizeDataSet=function(){
return this.getDataSource().getDataSet(1);
};
SingleBubbleRenderer.prototype.getMarkerSize=function(_7){
var _8=this.getSizeDataSet();
if((_8!=null)&&(_7<_8.getDataCount())){
var _9=(_8.getYData(_7)-this._sizeDataRange.getMin())/this._sizeDataRange.getLength();
return Math.floor((this.getMaxSize()-this.getMinSize())*_9)+this.getMinSize();
}else{
return 0;
}
};
SingleBubbleRenderer.prototype.dataSetsAdded=function(_a,_b,_c){
if(this.getDataSource().getDataSetCount()>=2){
this._sizeDataRange=this.getSizeDataSet().getYRange(this._sizeDataRange);
}
SingleChartRenderer.prototype.dataSetsAdded.call(this,_a,_b,_c);
};
SingleBubbleRenderer.prototype.contentsChanged=function(_d){
if(!this.isViewable()){
return;
}
if(_d.getDataSet()==this.getSizeDataSet()){
if(_d.getType()==DataSetContentsEvent.AFTER_DATA_CHANGED||_d.getType()==DataSetContentsEvent.DATA_CHANGED||_d.getType()==DataSetContentsEvent.DATA_ADDED||_d.getType()==DataSetContentsEvent.FULL_UPDATE){
var _e=this.getSizeDataSet().getYRange(null);
if(!this._sizeDataRange.equals(_e)){
this._sizeDataRange=_e;
}
}
}
SingleChartRenderer.prototype.contentsChanged.call(this,_d);
};
SingleBubbleRenderer.prototype.isDisplayingDataSet=function(_f){
return (this._dataSource!=null)&&this._dataSource.getDataSet(0)==_f;
};
