/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

Stacked100DataSet.prototype=new AbstractStackedDataSet();
Stacked100DataSet.prototype._dsIdx;
function Stacked100DataSet(_1,_2,_3){
AbstractStackedDataSet.call(this,_3);
this._dsIdx=_1;
this.setDataSets(_2);
}
Stacked100DataSet.prototype.getRefDataSet=function(){
return this.getDataSet(this._dsIdx);
};
Stacked100DataSet.prototype.setData=function(_4,x,y){
if(y>=100){
var _7=this.getDataSetCount();
for(var i=0;i<_7;++i){
if(i!=this._dsIdx){
this.getDataSet(i).setData(_4,x,0);
}
}
}else{
if(y<0){
y=0;
}
AbstractStackedDataSet.prototype.setData.call(this,_4,x,y);
}
};
Stacked100DataSet.prototype.unmap=function(_9,_a){
AbstractStackedDataSet.prototype.unmap.call(this,_9,null);
if(_a){
var _b=0;
var _c=0;
var _d=_a.y;
var _e=this.getDataSetCount();
for(var i=0;i<_e;++i){
if(i<this._dsIdx){
_b+=this.getDataSet(i).getYData(_9.index);
}else{
if(i>this._dsIdx){
_c+=this.getDataSet(i).getYData(_9.index);
}
}
}
_a.y=Math.max(0,(_d*(_b+_c)-100*_b)/(100-_d));
}
};
Stacked100DataSet.prototype.computeStackedData=function(_10,_11,_12){
var _13=this.getDataSetCount();
var max=_10.length;
if(this._dsIdx==_13-1){
var _15=this.getRefDataSet();
var _16=_15.getUndefValue();
for(var i=_11;i<=_12;++i){
var yi=_15.getYData(i);
var val;
if((_16!=null&&MathUtil.eq(yi,_16))){
val=IlvDataSet.DEFAULT_UNDEF_VALUE;
}else{
val=100;
}
if(i>=max){
_10.push(val);
}else{
_10[i]=val;
}
}
return _10;
}
var uv=new Array(_13);
for(var i=0;i<_13;++i){
uv[i]=this.getDataSet(i).getUndefValue();
}
var uvd=IlvDataSet.DEFAULT_UNDEF_VALUE;
for(var i=_11;i<=_12;++i){
var sum=0;
var _1d=0;
for(var j=0;j<_13;++j){
var v=this.getDataSet(j).getYData(i);
var _16=uv[j];
if((_16!=null&&MathUtil.eq(v,_16))){
if(j==_13-1){
sum=uvd;
break;
}else{
continue;
}
}
sum+=v;
if(j<=this._dsIdx){
_1d+=v;
}
}
if(sum==uvd){
_1d=uvd;
}else{
if(sum==0){
_1d=0;
}else{
_1d*=100/sum;
}
}
if(i>=max){
_10.push(_1d);
}else{
_10[i]=_1d;
}
}
return _10;
};
Stacked100DataSet.prototype.computeLimits=function(_20,_21){
if(!_20&&!_21){
this.setLimitsValid(true);
_20=this._xRange;
_21=this._yRange;
}
this.getDataSet(this._dsIdx).getXRange(_20);
_21.set(0,100);
};
