/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

SuperimposedRendererConfig.prototype=new CompositeRendererConfig();
function SuperimposedRendererConfig(_1){
CompositeRendererConfig.call(this,_1);
}
SuperimposedRendererConfig.prototype.updateChildren=function(){
this.applyChildrenLayout();
};
SuperimposedRendererConfig.prototype.activate=function(){
this.applyChildrenLayout();
};
SuperimposedRendererConfig.prototype.desactivate=function(){
this.resetChildrenLayout();
};
SuperimposedRendererConfig.prototype.resetChildrenLayout=function(){
var _2=this._renderer.getChildren();
var _3=this._renderer.getWidthPercent();
for(var i=0;i<_2.length;i++){
_2[i].setWidthPercent(_3);
}
};
SuperimposedRendererConfig.prototype.applyChildrenLayout=function(){
var _5=this._renderer._children;
var _6=this._renderer.getWidthPercent();
var _7=_5.length;
var _8=_6/_7;
for(var i=0;i<_7;i++){
_5[i].setWidthPercent(_6);
_6-=_8;
}
};
