/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

BarItem.prototype=new DefaultItem();
function BarItem(_1,_2){
DefaultItem.call(this,_1,_2);
this.cartesian=(_1.getChart().getType()==IlvChart.CARTESIAN);
}
BarItem.prototype.draw=function(g,_4){
if(this.cartesian){
return Style.renderRect(_4,g,this.getX(0),this.getY(0),this.getX(1),this.getY(1));
}
};
BarItem.prototype.update=function(_5,_6,_7){
if(this.cartesian){
var _8=_5.getXDataAt(_6)+this.renderer.getXShift();
this.set(0,_8-_7,this.renderer.getBarOrigin(_5.getDataIndex(_6)));
this.set(1,_8+_7,_5.getYDataAt(_6));
this.setSize(2);
}
};
BarItem.prototype.clip=function(w){
if(this.getX(0)<w.getXMin()){
if(this.getX(1)<w.getXMin()){
return false;
}
this.setX(0,w.getXMin());
}else{
if(getX(0)>w.getXMax()){
if(this.getX(1)>w.getXMax()){
return false;
}
this.setX(0,w.getXMax());
}
}
if(this.getX(1)<w.getXMin()){
this.setX(1,w.getXMin());
}else{
if(this.getX(1)>w.getXMax()){
this.setX(1,w.getXMax());
}
}
if(this.getY(0)<w.getYMin()){
if(this.getY(1)<w.getYMin()){
return false;
}
this.setY(0,w.getYMin());
}else{
if(this.getY(0)>w.getYMax()){
if(getY(1)>w.getYMax()){
return false;
}
this.setY(0,w.getYMax());
}
}
if(this.getY(1)<w.getYMin()){
this.setY(1,w.getYMin());
}else{
if(this.getY(1)>w.getYMax()){
this.setY(1,w.getYMax());
}
}
return true;
};
