/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

HiLoItem.prototype=new DefaultItem();
HiLoItem.prototype.rectDrawing;
function HiLoItem(_1,_2){
DefaultItem.call(this,_1,_2);
this.rectDrawing=(_1.getChart().getType()==IlvChart.CARTESIAN&&_1.getType()==SingleHiLoRenderer.BAR);
}
HiLoItem.prototype.draw=function(g,_4){
if(this.renderer.getType()==SingleHiLoRenderer.MARKED){
var g=DrawUtil.drawGroup(g);
Style.optimizeSpeed(g);
Style.drawLine(_4,g,this.getX(0),this.getY(0),this.getX(1),this.getY(1));
Style.drawLine(_4,g,this.getX(2),this.getY(2),this.getX(3),this.getY(3));
return g;
}else{
if(this.rectDrawing){
return Style.renderRect(_4,g,this.getX(0),this.getY(0),this.getX(1),this.getY(1));
}else{
var _5=DefaultItem.prototype.draw.call(this,g,_4);
if(this.renderer.getType()!=SingleHiLoRenderer.ARROW){
Style.optimizeSpeed(_5);
}
return _5;
}
}
};
HiLoItem.prototype.update=function(_6,_7,_8,_9,_a){
var _b=this.renderer.getXShift();
if(this.rectDrawing){
this.set(0,_6.getXDataAt(_7)+_b-_a,_8);
this.set(1,_6.getXDataAt(_7+1)+_b+_a,_9);
this.setSize(2);
}else{
var xv=this.getXValues();
var yv=this.getYValues();
var _e=0;
var _f=_6.getXDataAt(_7);
var xhi=_6.getXDataAt(_7+1);
if(_b!=0){
_f+=_b;
xhi+=_b;
}
if(this.renderer.getType()==SingleHiLoRenderer.BAR){
xv[0]=_f-_a;
yv[0]=_8;
xv[1]=xhi-_a;
yv[1]=_9;
xv[2]=xhi+_a;
yv[2]=yv[1];
xv[3]=_f+_a;
yv[3]=yv[0];
xv[4]=xv[0];
yv[4]=yv[0];
_e=5;
}else{
if(this.renderer.getType()==SingleHiLoRenderer.STICK){
xv[0]=_f;
yv[0]=_8;
xv[1]=xhi;
yv[1]=_9;
_e=2;
}else{
if(this.renderer.getType()==SingleHiLoRenderer.MARKED){
xv[0]=_f-_a;
yv[0]=_8;
xv[1]=_f;
yv[1]=_8;
xv[2]=xhi;
yv[2]=_9;
xv[3]=xhi+_a;
yv[3]=_9;
_e=4;
}else{
if(this.renderer.getType()==SingleHiLoRenderer.ARROW){
var _11=_9-_8;
xv[0]=_f-_a/2;
yv[0]=_8;
xv[1]=xhi-_a/2;
yv[1]=_8+_11*0.8;
xv[2]=xv[1]-_a/2;
yv[2]=yv[1];
xv[3]=xv[1]+_a/2;
yv[3]=_9;
xv[4]=_f+_a;
yv[4]=yv[2];
xv[5]=_f+_a/2;
yv[5]=yv[4];
xv[6]=xv[5];
yv[6]=yv[0];
xv[7]=xv[0];
yv[7]=yv[0];
_e=8;
}
}
}
}
this.setSize(_e);
}
};
