/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

CategoryStepsDefinition.prototype=new StepsDefinition();
CategoryStepsDefinition.prototype._dataSet;
CategoryStepsDefinition.prototype._stepBetweenCategory;
function CategoryStepsDefinition(_1,_2){
this._dataSet=_2;
this._stepBetweenCategory=_1;
}
CategoryStepsDefinition.prototype.isStepBetweenCategory=function(){
return this._stepBetweenCategory;
};
CategoryStepsDefinition.prototype.hasSubStep=function(){
return this._stepBetweenCategory;
};
CategoryStepsDefinition.prototype.previousStep=function(v){
if(this._stepBetweenCategory){
var f=Math.floor(v/0.5);
return (f%2==0)?(f-1)*0.5:f*0.5;
}else{
return Math.floor(v);
}
};
CategoryStepsDefinition.prototype.incrementStep=function(v){
return v+1;
};
CategoryStepsDefinition.prototype.previousSubStep=function(v){
if(this._stepBetweenCategory){
return Math.floor(v);
}else{
return Math.floor(v/0.5)*0.5;
}
};
CategoryStepsDefinition.prototype.incrementSubStep=function(v){
return v+1;
};
CategoryStepsDefinition.prototype.computeLabel=function(_8){
var _9=this._dataSet;
if(!_9&&this.getScale()!=null){
var _a=this.getScale().getChart();
var _b=(_a==null)?null:_a.getDataSource();
if(_b!=null&&_b.getDataSetCount()>0){
_9=_b.getDataSet(0);
}
}
var _c=null;
if(_9!=null){
var p=_9.getDataInside(new IlvDataWindow(_8,_8,-Number.MAX_VALUE,Number.MAX_VALUE),0,true);
if(p!=null&&p.size()>0){
var _e=p.getDataIndex(0);
_c=_9.getDataLabel(_e);
}
}
return (_c!=null)?_c:new String(Math.floor(_8));
};
