/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

DisplayPoint.prototype=new IlvDataSetPoint();
DisplayPoint.prototype.xCoord;
DisplayPoint.prototype.yCoord;
DisplayPoint.prototype.renderer;
function DisplayPoint(_1,_2,_3,_4,_5){
IlvDataSetPoint.call(this,_2,_3);
this.renderer=_1;
this.xCoord=_4;
this.yCoord=_5;
}
DisplayPoint.prototype.set=function(_6,_7,_8){
this.index=_6;
this.xCoord=_7;
this.yCoord=_8;
};
DisplayPoint.prototype.getRenderer=function(){
return this.renderer;
};
DisplayPoint.prototype.getXCoord=function(){
return this.xCoord;
};
DisplayPoint.prototype.getYCoord=function(){
return this.yCoord;
};
DisplayPoint.prototype.setCoords=function(_9,_a){
if(!this.isEditable()){
return;
}
this.renderer.setDisplayPoint(dataSet,index,xCoord,_a);
this.xCoord=xCoord;
this.yCoord=_a;
};
DisplayPoint.prototype.setData=function(_b,_c){
this.renderer.setDataPoint(dataSet,index,_b,_c);
};
DisplayPoint.prototype.isEditable=function(){
return this.getDataSet().isEditable();
};
DisplayPoint.prototype.equals=function(_d,_e){
return _d.renderer==this.renderer&&_d.dataSet==this.dataSet&&_d.index==this.index&&(_e||(_d.xCoord==this.xCoord&&_d.yCoord==this.yCoord));
};
DisplayPoint.prototype.clone=function(){
return new DisplayPoint(this.renderer,this.dataSet,this.index,this.xCoord,this.yCoord);
};
