/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

Rectangle.prototype.x;
Rectangle.prototype.y;
Rectangle.prototype.width;
Rectangle.prototype.height;
function Rectangle(x,y,_3,_4){
this.x=x?x:0;
this.y=y?y:0;
this.width=_3?_3:0;
this.height=_4?_4:0;
}
Rectangle.prototype.isEmpty=function(){
return this.width<=0||this.height<=0;
};
Rectangle.prototype.intersects=function(x,y,w,h){
if(this.isEmpty()||w<=0||h<=0){
return false;
}
return (x+w>this.x&&y+h>this.y&&x<this.x+this.width&&y<this.y+this.height);
};
Rectangle.prototype.contains=function(x,y,_b){
if((this.width|this.height)<0){
return false;
}
if(!_b){
_b=0;
}
if(x<(this.x-_b)||y<(this.y-_b)){
return false;
}
var _c=this.width+this.x+_b;
var _d=this.height+this.y+_b;
return ((_c<this.x||_c>x)&&(_d<this.y||_d>y));
};
Rectangle.prototype.add=function(_e,_f){
var x1=Math.min(this.x,_e);
var x2=Math.max(this.x+this.width,_e);
var y1=Math.min(this.y,_f);
var y2=Math.max(this.y+this.height,_f);
this.x=x1;
this.y=y1;
this.width=x2-x1;
this.height=y2-y1;
};
Rectangle.prototype.equals=function(_14){
return this.x==_14.x&&this.y==_14.y&&this.width==_14.width&&this.height==_14.height;
};
Rectangle.prototype.grow=function(h,v){
this.x-=h;
this.y-=v;
this.width+=2*h;
this.height+=2*v;
};
Rectangle.prototype.toString=function(){
return this.x+" "+this.y+" "+this.width+" "+this.height;
};
Rectangle.prototype.clone=function(){
return new Rectangle(this.x,this.y,this.width,this.height);
};
