/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

Style={};
Style.create=function(_1){
var _2={};
if(_1){
_2["stroke-linecap"]="square";
var _3=_1.split(/:|;/);
for(var i=0;i<_3.length;){
_2[_3[i++]]=_3[i++];
}
}else{
_2["stroke-linecap"]="square";
_2.stroke="black";
_2.fill="black";
}
return _2;
};
Style.draw=function(_5,g,_7){
var _8=DrawUtil.createShape(g.ownerDocument,_7);
Style.applyStroke(_5,_8);
g.appendChild(_8);
return _8;
};
Style.fill=function(_9,g,_b){
var _c=DrawUtil.createShape(g.ownerDocument,_b);
Style.applyFill(_9,_c);
g.appendChild(_c);
return _c;
};
Style.render=function(_d,g,_f){
var _10=DrawUtil.createShape(g.ownerDocument,_f);
Style.applyStyle(_d,_10);
g.appendChild(_10);
return _10;
};
Style.drawPolyline=function(_11,g,xp,yp,_15){
var _16=DrawUtil.createPath(g.ownerDocument,xp,yp,_15);
Style.applyStroke(_11,_16);
g.appendChild(_16);
return _16;
};
Style.fillPolygon=function(_17,g,xp,yp,_1b){
var _1c=DrawUtil.createPath(g.ownerDocument,xp,yp,_1b);
Style.applyFill(_17,_1c);
g.appendChild(_1c);
};
Style.renderPoly=function(_1d,g,xp,yp,_21){
var _22=DrawUtil.createPath(g.ownerDocument,xp,yp,_21);
Style.applyStyle(_1d,_22);
g.appendChild(_22);
return _22;
};
Style.drawPath=function(_23,g,d,p){
if(!p){
p=g.ownerDocument.createElementNS(SVG_NS,"path");
}
p.setAttributeNS(null,"d",d);
Style.applyStyle(_23,p);
if(p.parentNode!=g){
g.appendChild(p);
}
return p;
};
Style.drawLine=function(_27,g,x1,y1,x2,y2,_2d){
_2d=DrawUtil.drawLine(g,x1,y1,x2,y2,_2d);
Style.applyStroke(_27,_2d);
};
Style.renderRect=function(_2e,g,x1,y1,x2,y2){
var w=0;
var h=0;
if(x2<x1){
w=x1-x2;
x1=x2;
}else{
if(x2>x1){
w=x2-x1;
}
}
if(y2<y1){
h=y1-y2;
y1=y2;
}else{
if(y2>y1){
h=y2-y1;
}
}
return Style.drawRect(_2e,g,x1,y1,w,h);
};
Style.drawRect=function(_36,g,x,y,_3a,_3b,_3c){
_3c=DrawUtil.drawRect(g,x,y,_3a,_3b,_3c);
Style.applyStyle(_36,_3c);
_3c.setAttributeNS(null,"shape-rendering","optimizeSpeed");
return _3c;
};
Style.applyStroke=function(_3d,g){
if(_3d.stroke&&_3d.stroke!="none"){
for(var i in _3d){
if(i.indexOf("fill")==-1){
g.setAttributeNS(null,i,_3d[i]);
}
}
g.setAttributeNS(null,"fill","none");
}
};
Style.applyFill=function(_40,g){
if(_40.fill!="none"){
for(var i in _40){
if(i.indexOf("stroke")==-1){
g.setAttributeNS(null,i,_40[i]);
}
}
}
};
Style.applyStyle=function(_43,g){
for(var i in _43){
g.setAttributeNS(null,i,_43[i]);
}
};
Style.isStrokeOn=function(_46){
return (_46.stroke&&_46.stroke!="none");
};
Style.isFillOn=function(_47){
return (!_47.fill||_47.fill!="none");
};
Style.copy=function(_48){
var _49=new Object();
for(var i in _48){
_49[i]=_48[i];
}
return _49;
};
Style.expand=function(_4b,_4c){
var _4d=parseFloat(_4b["line-width"]);
if(_4d>1){
if(_4b["stroke-linejoin"]=="miter"){
_4d*=parseFloat(_4b["stroke-miterlimit"])/2;
}
_4c.grow(_4d,_4d);
}
return _4c;
};
Style.equals=function(_4e,_4f){
if(_4e.length!=_4f.length){
return false;
}
for(var i in _4e){
if(_4e[i]!=_4f[i]){
return false;
}
}
return true;
};
Style.optimizeSpeed=function(elt){
elt.setAttributeNS(null,"shape-rendering","optimizeSpeed");
};
