/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

ChartDataInteractor.prototype=new ChartInteractor();
ChartDataInteractor.ITEM_PICKING=1;
ChartDataInteractor.NEARESTPOINT_PICKING=2;
ChartDataInteractor.EPSILON=5;
ChartDataInteractor.prototype._pickingMode=ChartDataInteractor.NEARESTPOINT_PICKING;
function ChartDataInteractor(_1,_2,_3){
ChartInteractor.call(this,_1,_2,_3);
}
ChartDataInteractor.prototype.pickData=function(_4){
var x=this.getChart().xClientToAreaCS(_4.clientX);
var y=this.getChart().yClientToAreaCS(_4.clientY);
if(this.getPickingMode()==ChartDataInteractor.ITEM_PICKING){
if(_4.target.hasAttributeNS(CHART_NS,"dsIdx")){
var _7=parseInt(_4.target.getAttributeNS(CHART_NS,"dsIdx"));
var _8=_4.target.getAttributeNS(CHART_NS,"ptIdx");
_8=(_8&&_8.length>0)?parseInt(_8):-1;
return this.getChart().getDisplayItem(x,y,_7,_8,this._yAxisIndex);
}else{
if(_4.target.parentNode.hasAttributeNS(CHART_NS,"dsIdx")){
var _7=parseInt(_4.target.parentNode.getAttributeNS(CHART_NS,"dsIdx"));
var _8=_4.target.parentNode.getAttributeNS(CHART_NS,"ptIdx");
_8=(_8&&_8.length>0)?parseInt(_8):-1;
return this.getChart().getDisplayItem(x,y,_7,_8,this._yAxisIndex);
}else{
return null;
}
}
}else{
return this.getChart().getNearestPoint(x,y,this._yAxisIndex);
}
};
ChartDataInteractor.prototype.setPickingMode=function(_9){
this._pickingMode=_9;
};
ChartDataInteractor.prototype.getPickingMode=function(){
return this._pickingMode;
};
