/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

function RepaintManager(_1){
this.chart=_1;
}
RepaintManager.prototype.queueRequest=function(){
if(this.timeout){
clearTimeout(this.timeout);
this.timeout=undefined;
}
if(!this.fRef){
var rm=this;
this.fRef=function(){
rm.repaint();
};
}
this.timeout=setTimeout(this.fRef,100);
};
RepaintManager.prototype.repaint=function(){
this.timeout=undefined;
this.chart.invalidate(true);
};
ChartHighlightInteractor.prototype=new ChartDataInteractor();
ChartHighlightInteractor.HIGHLIGHT_POINT=0;
ChartHighlightInteractor.HIGHLIGHT_SERIES=1;
ChartHighlightInteractor.prototype._highlightedPoint;
ChartHighlightInteractor.prototype._highlightMode=ChartHighlightInteractor.HIGHLIGHT_POINT;
function ChartHighlightInteractor(_3){
ChartDataInteractor.call(this,0,0,_3);
}
ChartHighlightInteractor.prototype.enableEvents=function(_4){
_4["mousemove"]=true;
};
ChartHighlightInteractor.prototype.isHandling=function(x,y){
return true;
};
ChartHighlightInteractor.prototype.getHighlightedPoint=function(){
return (this._highlightedPoint!=null?this._highlightedPoint.clone():null);
};
ChartHighlightInteractor.prototype.setHighlightedPoint=function(_7){
this._highlightedPoint=(_7!=null?_7.clone():null);
};
ChartHighlightInteractor.prototype.handleEvent=function(_8){
if(_8.type=="mousemove"){
var _9=this._highlightedPoint;
this._highlightedPoint=this.pickData(_8);
if(this._highlightedPoint!=null){
if(_9!=null){
if(!this.checkEqual(this._highlightedPoint,_9)){
this.doIt(_9,false,_8,true);
this.doIt(this._highlightedPoint,true,_8);
return true;
}else{
return false;
}
}else{
this.doIt(this._highlightedPoint,true,_8);
}
_8.stopPropagation();
return true;
}else{
if(_9!=null){
this.doIt(_9,false,_8);
return true;
}
}
return false;
}
return false;
};
ChartHighlightInteractor.prototype.checkEqual=function(_a,_b){
if(this.getHighlightMode()==ChartHighlightInteractor.HIGHLIGHT_SERIES){
return (_b.getDataSet()==_a.getDataSet());
}else{
return _b.equals(_a,this.getPickingMode()==ChartDataInteractor.ITEM_PICKING);
}
};
ChartHighlightInteractor.prototype.doIt=function(_c,_d,_e,_f){
if(this.style||this.marker){
var _10=null;
if(_d){
if(!this.hint){
this.hint=new Object();
this.hint.style=this.style;
this.hint.getStyle=function(dp,_12){
return this.style?this.style:_12;
};
if(this.marker){
this.hint.marker=this.marker;
this.hint.getMarker=function(dp,_14){
return this.marker;
};
}
}
_10=this.hint;
}
_c.getRenderer().setRenderingHint(_c,_10);
var _15=_c.getRenderer();
_15.getChart().pushInvalidatedRenderer(_15);
if(!_f){
if(_15.lastDrawSize<1000){
_15.getChart().invalidate(true);
}else{
if(!this.rm){
this.rm=new RepaintManager(this._chart);
}
this.rm.queueRequest();
}
}
}
if(this.action){
window.parent.highlightedPoint=_c;
window.parent.isHighlighted=_d;
window.parent.evt=_e;
window.parent.eval(this.action);
window.parent.highlightedPoint=undefined;
window.parent.isHighlighted=undefined;
window.parent.evt=undefined;
}
};
ChartHighlightInteractor.prototype.getHighlightMode=function(){
return this._highlightMode;
};
