/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

MathUtil.EPSILON=1e-10;
MathUtil.PI_DEG=Math.PI/180;
function MathUtil(){
}
MathUtil.clamp=function(v,_2,_3){
if(v>_3){
return _3;
}else{
if(v<_2){
return _2;
}else{
return v;
}
}
};
MathUtil.isNear0=function(v){
return (v<MathUtil.EPSILON&&v>-MathUtil.EPSILON);
};
MathUtil.mod360=function(_5){
if(_5>=360){
do{
_5-=360;
}while(_5>=360);
}else{
while(_5<0){
_5+=360;
}
}
return _5;
};
MathUtil.toRadians=function(_6){
return _6*MathUtil.PI_DEG;
};
MathUtil.toDegrees=function(_7){
return _7/MathUtil.PI_DEG;
};
MathUtil.equals=function(v1,v2,_a){
if(!_a){
_a=1e-9;
}
return Math.abs(v2-v1)<((v1==0)?v2:v1)*_a;
};
MathUtil.eq=function(v1,v2){
return (v1==v2)||(isNaN(v1)&&isNaN(v2));
};
