/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

Title.prototype=new Object();
Title.prototype.loc;
Title.prototype.placement=50;
Title.prototype._text;
Title.prototype._labelRenderer;
Title.prototype._scale;
function Title(_1,_2,_3){
this._scale=_1;
this._text=_2;
this._labelRenderer=new TextRenderer(_2,_3);
this.loc=new DoublePoint();
}
Title.prototype.setText=function(_4){
this._text=_4;
this._labelRenderer.setText(this._text);
this.stateChanged();
};
Title.prototype.getText=function(){
return this._text;
};
Title.prototype.getLabelRenderer=function(){
return this._labelRenderer;
};
Title.prototype.setPlacement=function(_5){
if(this.pos>100){
this.pos=100;
}else{
if(_5<0){
this.pos=0;
}
}
this.placement=_5;
this.stateChanged();
};
Title.prototype.getPlacement=function(){
return this.placement;
};
Title.prototype.draw=function(_6){
this._labelRenderer.draw(_6,this.loc.xFloor(),this.loc.yFloor());
};
Title.prototype.updateLocation=function(){
if(this._text!=null){
this._scale.computeTitleLocation(this.loc);
}
};
Title.prototype.getBounds=function(_7){
return this._labelRenderer.getBounds(true,this.loc.xFloor(),this.loc.yFloor(),_7);
};
Title.prototype.stateChanged=function(){
this._scale.revalidateChartLayout();
};
