/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

DataPoints.prototype=new DoublePoints();
DataPoints.prototype._indices;
DataPoints.prototype._dataSet;
function DataPoints(_1,_2,_3,_4,_5){
DoublePoints.call(this,_2,_3,_4);
this._dataSet=_1;
this._indices=_5;
}
DataPoints.prototype.addValues=function(x,y){
this.addArrays([x],[y],1);
};
DataPoints.prototype.addValuesAt=function(x,y,_a){
var _b=this.getIndices();
if(_b.length==this.size()){
this.addArraysAtIndices([x],[y],[_a],1);
}else{
_b[this.size()]=_a;
DoublePoints.prototype.addValues.call(this,x,y);
}
};
DataPoints.prototype.addArrays=function(x,y,_e){
this.addDummyIndices(this.size(),_e);
DoublePoints.prototype.addArrays.call(this,x,y,_e);
};
DataPoints.prototype.addArraysAtIndices=function(x,y,_11,_12){
var _13=this.getIndices();
var _14=this.size();
DoublePoints.prototype.addArrays.call(this,x,y,_12);
var _15=this.size();
this._indices=ArrayPool.reAlloc(_13,_15,this);
for(var i=0;i<_12;i++){
this._indices[_14+i]=_11[i];
}
};
DataPoints.prototype.addArraysAt=function(_17,x,y,_1a){
this.addDummyIndices(_17,_1a);
DoublePoints.prototype.addArraysAt.call(this,_17,x,y,_1a);
};
DataPoints.prototype.addDataPoints=function(pts){
this.addArraysAtIndices(pts.getXValues(),pts.getYValues(),pts.getIndices(),pts.size());
};
DataPoints.prototype.remove=function(_1c,_1d){
DoublePoints.prototype.remove.call(this,_1c,_1d);
this._indices.splice(_1c,_1d);
};
DataPoints.prototype.addIndices=function(_1e,_1f,_20){
var _21=this.getIndices();
var _22=this.size()+_1f;
if(_1e==this.size()){
if(_22>_21.length){
_21=ArrayPool.reAlloc(_21,_22,this);
}
for(var i=0;i<_1f;i++){
_21[_1e+i]=_20[i];
}
}else{
var _24=ArrayPool.take(this.size());
for(var i=0;i<this.size();i++){
_24[i]=_21[i];
}
if(_22>_21.length){
ArrayPool.release(_21);
_21=ArrayPool.take(_22,this);
}
if(_1e>0){
for(var i=0;i<_1e-1;i++){
_21[i]=_24[i];
}
}
for(var i=0;i<_1f;i++){
_21[_1e+i]=_20[i];
}
for(var i=_1e;i<this.size();i++){
_21[_1e+_1f+i]=_24[i];
}
ArrayPool.release(_24);
}
this._indices=_21;
};
DataPoints.prototype.addDummyIndices=function(_25,_26){
var _27=ArrayPool.take(_26);
for(var i=0;i<_26;++i){
_27[i]=-1;
}
this.addIndices(_25,_26,_27);
ArrayPool.release(_27);
};
DataPoints.prototype.getDataSet=function(){
return this._dataSet;
};
DataPoints.prototype.getDataIndex=function(i){
if(this._indices==null){
return -1;
}else{
return this._indices[i];
}
};
DataPoints.prototype.setIndices=function(_2a,_2b){
_2b=Math.min(this.size(),_2b);
if(_2b==0){
this._indices=null;
}else{
this._indices=ArrayPool.take(this.size(),this);
for(var i=0;i<_2b;i++){
this._indices[i]=_2a[i];
}
for(var i=_2b;i<this.size();i++){
this._indices[i]=-1;
}
}
};
DataPoints.prototype.getIndices=function(){
if(this._indices==null){
this._indices=ArrayPool.take(this.size(),this);
for(var i=0;i<this.size();++i){
this._indices[i]=-1;
}
}
return this._indices;
};
DataPoints.prototype.getIndex=function(idx){
return this.getIndices()[idx];
};
DataPoints.prototype.dispose=function(){
DoublePoints.prototype.dispose.call(this);
if(this._indices!=null){
ArrayPool.release(this._indices);
}
};
