/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

BubbleChartRenderer.prototype=new CompositeChartRenderer();
BubbleChartRenderer.prototype._minSize;
BubbleChartRenderer.prototype._maxSize;
function BubbleChartRenderer(_1,_2){
CompositeChartRenderer.call(this,true);
this._minSize=_1;
this._maxSize=_2;
}
BubbleChartRenderer.prototype.getBubble=function(_3){
return this.getChild(_3);
};
BubbleChartRenderer.prototype.dataSetsRemoved=function(_4,_5,_6){
this.reinitChildren(_4);
var _7=this.getDataSource().getDataSetCount();
while(this.getChildCount()>_7/2){
var _8=this.getChild(this.getChildCount()-1);
_8.getDataSource().setDataSets(null);
this.removeChild(_8);
}
};
BubbleChartRenderer.prototype.dataSetsAdded=function(_9,_a,_b){
this.reinitChildren(_9);
};
BubbleChartRenderer.prototype.reinitChildren=function(_c){
var _d=this.getDataSource().getDataSetCount();
for(var i=Math.floor(_c/2);i<Math.floor(_d/2);++i){
var _f=this.getChild(i);
if(_f==null){
_f=this.createChild(this.getDataSource().getDataSet(i*2));
_f.getDataSource().setDataSets([this.getDataSource().getDataSet(i*2),this.getDataSource().getDataSet(i*2+1)]);
this.addChild(this.getChildCount(),_f);
}
}
};
BubbleChartRenderer.prototype.createChild=function(_10){
return new SingleBubbleRenderer(Marker.CIRCLE,this._minSize,this._maxSize);
};
