/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

ClusteredRendererConfig.prototype=new CompositeRendererConfig();
ClusteredRendererConfig.DEFAULT_CLUSTER_WIDTH=Constants.DEFAULT_WIDTH;
ClusteredRendererConfig.DEFAULT_OVERLAP=0;
ClusteredRendererConfig.prototype._overlap=ClusteredRendererConfig.DEFAULT_OVERLAP;
ClusteredRendererConfig.prototype._clusterWidth=ClusteredRendererConfig.DEFAULT_CLUSTER_WIDTH;
function ClusteredRendererConfig(_1){
CompositeRendererConfig.call(this,_1);
}
ClusteredRendererConfig.prototype.setOverlap=function(_2){
if(_2!=this._overlap){
this._overlap=_2;
this.applyChildrenLayout();
}
};
ClusteredRendererConfig.prototype.getOverlap=function(){
return this._overlap;
};
ClusteredRendererConfig.prototype.setClusterWidth=function(_3){
if(_3!=this._clusterWidth){
this._clusterWidth=_3;
this.applyChildrenLayout();
}
};
ClusteredRendererConfig.prototype.getClusterWidth=function(){
return this._clusterWidth;
};
ClusteredRendererConfig.prototype.updateChildren=function(){
this.applyChildrenLayout();
};
ClusteredRendererConfig.prototype.activate=function(){
this.applyChildrenLayout();
};
ClusteredRendererConfig.prototype.desactivate=function(){
this.resetChildrenLayout();
};
ClusteredRendererConfig.prototype.resetChildrenLayout=function(){
var _4=this._renderer.getChildren();
var _5=this._renderer.getWidthPercent();
var _6;
for(var i=0;i<_4.length;i++){
_6=_4[i];
_6.setXShift(0);
_6.setWidthPercent(_5);
}
};
ClusteredRendererConfig.prototype.applyChildrenLayout=function(){
var _8=this.getOverlap()/100;
var _9=this.getClusterWidth()/100;
var _a;
var i;
var _c=0;
var _d=this._renderer.getChildren();
var _e=_d.length;
var _f=_9/(_e-(_e-1)*_8);
var _10=0;
for(var i=0;i<_d.length;i++){
_d[i].setWidthPercent(_f*100);
_c+=_d[i].getWidth()*(1-_8);
}
for(var i=0;i<_d.length;i++){
_a=_d[i];
_a.setXShift(_10+_a.getWidth()*(1-_8)/2-_c/2);
_10+=_a.getWidth()*(1-_8);
}
};
