/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

SingleAreaRenderer.prototype=new SinglePolylineRenderer();
function SingleAreaRenderer(_1){
SinglePolylineRenderer.call(this,_1);
}
SingleAreaRenderer.prototype.isFilled=function(){
return true;
};
SingleAreaRenderer.prototype.getOrigin=function(){
return this.getYAxis().getVisibleRange().clamp(this.getCoordinateSystem().getXCrossingValue());
};
SingleAreaRenderer.prototype.createPolyItem=function(_2,_3){
return new AreaItem(this,_2,_3);
};
SingleAreaRenderer.prototype.getPolyItemAction=function(_4){
return new AreaItemAction(this,_4);
};
SingleAreaRenderer.prototype.drawLegendSymbol=function(_5,g,x,y,w,h){
var s=Math.min(w,h);
Style.renderRect(this.getStyle(0),g,x+(w-s)/2,y+(h-s)/2,s,s);
this.drawMarkerSymbol(g,x,y,w,h);
};
SingleAreaRenderer.prototype.createDefaultStyle=function(_c,_d,_e){
var _f=SingleChartRenderer.prototype.createDefaultStyle.call(this,_c,_d,_e);
var _10=this.getParent();
if(_f!=null&&this.isFilled()&&_10.isSuperimposed&&_10.isSuperimposed()&&_10.isAutoTransparency()){
var _11=_f.fill;
if(_11){
_f["fill-opacity"]=0.5;
}
}
return _f;
};
