/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

StackedDataSet.prototype=new AbstractStackedDataSet();
function StackedDataSet(_1){
AbstractStackedDataSet.call(this,_1);
}
StackedDataSet.prototype.getRefDataSet=function(){
var _2=this.getDataSetCount();
return (_2>0)?this.getDataSet(_2-1):null;
};
StackedDataSet.prototype.getPreviousYData=function(_3){
var ds=this;
do{
if(ds._previous==null&&ds.getDataSetCount()>0){
return ds.getDataSet(0).getYData(_3);
}
ds=ds._previous;
var v=ds.getYData(_3);
var _6=ds.getUndefValue();
if(!((_6!=null&&MathUtil.eq(v,_6)))){
return v;
}
}while(ds!=null);
return IlvDataSet.DEFAULT_UNDEF_VALUE;
};
StackedDataSet.prototype.unmap=function(_7,_8){
AbstractStackedDataSet.prototype.unmap.call(this,_7,null);
if(_8){
var _9=this.getDataSetIndex(_7.dataSet);
var _a=0;
var _b=this.getDataSetCount();
for(var i=0;i<_b;i++){
if(i!=_9){
_a+=this.getDataSet(i).getYData(_7.index);
}
}
_8.x=_7.getXData();
_8.y-=_a;
if(_8.y<0){
_8.y=0;
}
}
};
StackedDataSet.prototype.computeStackedData=function(_d,_e,_f){
var _10=this.getDataSetCount();
var uv=new Array(_10);
for(var i=0;i<_10;++i){
uv[i]=this.getDataSet(i).getUndefValue();
}
var max=_d.length;
for(var i=_e;i<=_f;++i){
var sum=0;
for(var j=0;j<_10;++j){
var v=this.getDataSet(j).getYData(i);
var _17=uv[j];
if((_17!=null&&MathUtil.eq(v,_17))){
if(j==_10-1){
sum=IlvDataSet.DEFAULT_UNDEF_VALUE;
break;
}else{
continue;
}
}
sum+=v;
}
if(i>=max){
_d.push(sum);
}else{
_d[i]=sum;
}
}
return _d;
};
