/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

SumRendererConfig.prototype=new CompositeRendererConfig();
function SumRendererConfig(_1){
CompositeRendererConfig.call(this,_1);
}
SumRendererConfig.prototype.getDrawRenderers=function(){
return this.getRenderer().getChildren().clone().reverse();
};
SumRendererConfig.prototype.dataSetAdded=function(_2){
var _3=this._renderer.getDataSource().getDataSetCount();
if(_3>2&&this._renderer.getDataSource().getDataSetIndex(_2)==_3-1){
var _4=this._renderer.getDataSource().getDataSets();
var _5=_4[_3-2];
var _6=this._renderer.getChild(_5);
if(_6 instanceof SingleChartRenderer){
var _7=_6.getVirtualDataSet(_5);
if(_7!=null){
var _8=new SumDataSet(_7,_4[_3-1]);
_6=this._renderer.getChild(_4[_3-1]);
if(_6 instanceof SingleChartRenderer){
_6.setVirtualDataSet(_4[_3-1],_8);
}
}
}
}
this.updateVirtualData();
};
SumRendererConfig.prototype.dataSetRemoved=function(_9){
this.updateVirtualData();
};
SumRendererConfig.prototype.updateVirtualData=function(){
var _a=this._renderer.getDataSource().getDataSetCount();
if(_a==0){
return;
}
var _b=this._renderer.getDataSource().getDataSets();
var _c=this._renderer.getChild(_b[0]);
if(_c instanceof SingleChartRenderer){
_c.setVirtualDataSet(_b[0],null);
}
var _d=null;
for(var i=1;i<_a;++i){
if(i==1){
_d=this.createSumDataSet(_b[0],_b[1]);
}else{
_d=this.createSumDataSet(_d,_b[i]);
}
_c=this._renderer.getChild(_b[i]);
if(_c instanceof SingleChartRenderer){
_c.setVirtualDataSet(_b[i],_d);
}
}
};
SumRendererConfig.prototype.activate=function(){
this.updateVirtualData();
};
SumRendererConfig.prototype.desactivate=function(){
var _f=this._renderer.getDataSource().getDataSets();
for(var i=1;i<_f.length;++i){
var _11=_renderer.getChild(_f[i]);
if(_11 instanceof SingleChartRenderer){
_11.setVirtualDataSet(_f[i],null);
}
}
};
SumRendererConfig.prototype.createSumDataSet=function(ds1,ds2){
return new SumDataSet(ds1,ds2);
};
