/*
 * Licensed Materials - Property of IBM
 * 5724-Y34, 5724-Y36, 5724-Z55 
 * © Copyright IBM Corporation 1996, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 */

function Marker(){
}
Marker.SQUARE=function(_1,x,y,_4,_5){
x-=_4;
y-=_4;
_4<<=1;
return Style.drawRect(_5,_1,x,y,_4,_4);
};
Marker.DIAMOND=function(_6,x,y,_9,_a){
var xp=new Array(5);
var yp=new Array(5);
xp[0]=x;
yp[0]=y-_9;
xp[1]=x+_9;
yp[1]=y;
xp[2]=x;
yp[2]=y+_9;
xp[3]=x-_9;
yp[3]=y;
xp[4]=xp[0];
yp[4]=yp[0];
return Style.renderPoly(_a,_6,xp,yp,5);
};
Marker.CIRCLE=function(_d,x,y,_10,_11){
var _12=_d.ownerDocument.createElementNS(SVG_NS,"circle");
_12.setAttributeNS(null,"cx",x);
_12.setAttributeNS(null,"cy",y);
_12.setAttributeNS(null,"r",_10);
Style.applyStyle(_11,_12);
_d.appendChild(_12);
return _12;
};
Marker.PLUS=function(dst,x,y,_16,_17){
var _18=false;
if(!_17.stroke||_17.stroke=="none"){
_17.stroke="black";
_18=true;
}
Style.drawLine(_17,dst,x,y-_16,x,y+_16);
Style.drawLine(_17,dst,x-_16,y,x+_16,y);
if(_18){
_17.stroke="none";
}
};
Marker.CROSS=function(dst,x,y,_1c,_1d){
var _1e=false;
if(!_1d.stroke||_1d.stroke=="none"){
_1d.stroke="black";
_1e=true;
}
Style.drawLine(_1d,dst,x-_1c,y-_1c,x+_1c,y+_1c);
Style.drawLine(_1d,dst,x+_1c,y-_1c,x-_1c,y+_1c);
if(_1e){
_1d.stroke="none";
}
};
Marker.TRIANGLE=function(dst,x,y,_22,_23){
var xp=new Array(4);
var yp=new Array(4);
xp[0]=x;
yp[0]=y-_22;
xp[1]=x+_22;
yp[1]=y+_22;
xp[2]=x-_22;
yp[2]=y+_22;
xp[3]=x;
yp[3]=y-_22;
return Style.renderPoly(_23,dst,xp,yp,4);
};
Marker.NONE=function(){
};
